# Product Model

This model represent the full details about the items in the ticket including sub-products.

### Product Model

This model referenced in "products" field of [Create a transaction](/sensepay/transaction-api/payment-flows/create-a-transaction.md#creating-new-transaction) request body

<table><thead><tr><th width="212.9871382636656">field</th><th width="150">type</th><th width="384.2">description</th></tr></thead><tbody><tr><td>name</td><td>string</td><td><p>example: Coca-Colla</p><p>Name of the product</p></td></tr><tr><td>quantity</td><td>number</td><td><p>example: 100</p><p>Quantity of products</p></td></tr><tr><td>amount</td><td>number</td><td><p>example: 3499</p><p>Amount/Cost of a single product</p></td></tr><tr><td>discount</td><td>number</td><td><p>example: 3499</p><p>Discount amount of a signle product</p></td></tr><tr><td>vat</td><td>number</td><td><p>example: 100</p><p>VAT (Value Added Tax) / Tax, <em>not percentage-based</em>, of a signle product</p></td></tr><tr><td>posIdentifier</td><td>string</td><td><p>example: 1234A</p><p>POS Identifier for this product</p></td></tr><tr><td>itemNumber</td><td>number</td><td><p>example: 0</p><p>Receipt ID - Required for receipt generation</p></td></tr><tr><td>productUrl</td><td>string</td><td><p>example: https://your-store.com/products/1234</p><p>Product URL</p></td></tr><tr><td>productImageUrl</td><td>string</td><td><p>example: https://your-store.com/products/images/main.png</p><p>Product Image URL</p></td></tr><tr><td>subProducts</td><td>objects</td><td>Same as Product Entity: <a data-mention href="/pages/RXt5EFpXbQJY305RhjWI#product-entity">/pages/RXt5EFpXbQJY305RhjWI#product-entity</a></td></tr><tr><td>measurementUnit</td><td>string</td><td>example: oz</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sensepass.com/sensepay/transaction-api/models/product-model.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
